# class SS7L2User | Abstract user of SS7 layer 2 (data link) message transfer part. More...
Contains pure virtuals
Full name | `TelEngine::SS7L2User`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SignallingComponent [virtual public ]
Inherited by | SS7MTP3
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual void attach (SS7Layer2* link)
- virtual void detach (SS7Layer2* link)

#### Protected Methods

- virtual bool receivedMSU (const SS7MSU& msu, SS7Layer2* link, int sls)
- virtual bool recoveredMSU (const SS7MSU& msu, SS7Layer2* link, int sls)
- virtual void notify (SS7Layer2* link)

## Detailed Description

An user of a Layer 2 (data link) SS7 message transfer part

void attach (SS7Layer2* link) | ### attach

[pure virtual]

Attach a SS7 Layer 2 (data link) to the user component

Parameters:

link | Pointer to data link to attach

void detach (SS7Layer2* link) | ### detach

[pure virtual]

Detach a SS7 Layer 2 (data link) from the user component

Parameters:

link | Pointer to data link to detach

Reimplemented from SignallingComponent.

bool receivedMSU (const SS7MSU& msu, SS7Layer2* link, int sls) | ### receivedMSU

[protected pure virtual]

Process a MSU received from the Layer 2 component

Parameters:

msu | Message data, starting with Service Indicator Octet
link | Data link that delivered the MSU
sls | Signalling Link the MSU was received from

Returns: True if the MSU was processed

bool recoveredMSU (const SS7MSU& msu, SS7Layer2* link, int sls) | ### recoveredMSU

[protected pure virtual]

Process a MSU recovered from the Layer 2 component after failure

Parameters:

msu | Message data, starting with Service Indicator Octet
link | Data link from where the MSU was recovered
sls | Signalling Link the MSU was recovered from

Returns: True if the MSU was processed

void notify (SS7Layer2* link) | ### notify

[protected pure virtual]

Process a notification generated by the attached data link

Parameters:

link | Data link that generated the notification

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.